//---------------------------------------------------------------------------

#ifndef DisplayH
#define DisplayH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TfrmDisplay : public TForm
{
__published:	// IDE-managed Components
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormPaint(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
  void __fastcall FormMouseWheelDown(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
  void __fastcall FormMouseWheelUp(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
private:	// User declarations

  bool otacanie;
  bool posuvanie;

  int startX;
  int startY;

  double lookAtX;
  double lookAtY;
  double lookAtZ;



  HGLRC hRC;
  int InitGL(GLvoid);
  int DrawGLScene(GLvoid);

  double posX;
  double posY;
  double posZ;


  int alpha;
  int beta;

  void DrawProcess();

public:		// User declarations
  __fastcall TfrmDisplay(TComponent* Owner);


};
//---------------------------------------------------------------------------
extern PACKAGE TfrmDisplay *frmDisplay;
//---------------------------------------------------------------------------
#endif
